Bug 977392 - cpu frequency does not scale back all the way
cpu frequency does not scale back all the way
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 977389 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 08:47 EDT by Mark van Rossum
Modified: 2013-10-08 13:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:09:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark van Rossum 2013-06-24 08:47:02 EDT
Description of problem:
On the most recent kernels cpu scaling does not not scale the frequency back to the lowest possible value.
While on previous kernels it would scale back to 800MHz, now I get only
> cat cpuinfo_cur_freq 
1325000


Under the load the frequency does scale up (to 2.9GHz) and it does scale down
again, but again not to the lowest value.

Of course, I tested with a minimal load. Only lightdm and a console were running.

Version-Release number of selected component (if applicable):
FC19 with kernel 3.9.6-301.fc19.x86_64
cat scaling_governor : powersave

How reproducible:
Always


Steps to Reproduce:
1. Boot 
2. cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq

Actual results:
cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq
1025000 ... 1525000

Expected results:
On previous kernels in FC18, the frequency would scale all the way back to 
800Mhz (which is I think the minimum)
cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq
800000

Additional info:
Comment 1 Josh Boyer 2013-06-24 09:24:04 EDT
*** Bug 977389 has been marked as a duplicate of this bug. ***
Comment 2 Mark van Rossum 2013-06-25 18:25:37 EDT
Forgot to say: this is on a Lenovo X220 with 
 Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
Comment 3 Mark van Rossum 2013-07-02 14:08:46 EDT
I think this issue might have to do with the 
change in powermanagement reported here:

https://plus.google.com/117091380454742934025/posts/2vEekAsG2QT

I guess the real question is whether this new policy actually saves power.
This is hard to measure accurately, but I shall give it a shot.
Comment 4 Mark van Rossum 2013-07-30 04:54:39 EDT
I have now ran some power consumption test.
On my computer it does not make a difference in battery power consumption.
So it is not really a bug, just confusing.



FYI, I used the following script

#!/bin/sh
rm /tmp/batl.log
rm /tmp/bath.log
for i in $(seq 1 100); do 
echo $i
cat  /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq >/sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
sleep 1
cat /sys/class/power_supply/BAT0/power_now  >> /tmp/batl.log
sleep 2
cat  /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq >/sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
sleep 1
cat /sys/class/power_supply/BAT0/power_now  >> /tmp/bath.log
done

Then compare the mean of bath.log to batl.log
Comment 5 Josh Boyer 2013-09-18 16:50:58 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Josh Boyer 2013-10-08 13:09:09 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.